Package commoble.morered.wire_post

# Class WirePostBlockEntity

java.lang.Object
net.neoforged.neoforge.attachment.AttachmentHolder
net.minecraft.world.level.block.entity.BlockEntity
commoble.morered.wire_post.WirePostBlockEntity

All Implemented Interfaces:
  `net.neoforged.neoforge.attachment.IAttachmentHolder`, `net.neoforged.neoforge.common.extensions.IBlockEntityExtension`

Direct Known Subclasses:
  `BundledCablePostBlockEntity`

public class WirePostBlockEntity extends net.minecraft.world.level.block.entity.BlockEntity

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.entity.BlockEntity

`net.minecraft.world.level.block.entity.BlockEntity.DataComponentInput`

## Nested classes/interfaces inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`net.neoforged.neoforge.attachment.AttachmentHolder.AsField`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<List<net.minecraft.core.BlockPos>>`
`BLOCKPOS_LISTER`
`static final String`
`CONNECTIONS`
`static final net.minecraft.world.phys.AABB`
`EMPTY_AABB`

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`ATTACHMENTS_NBT_KEY`

## Constructor Summary

Constructors
Constructor
Description
`WirePostBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`WirePostBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends WirePostBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`addConnection(net.minecraft.world.level.LevelAccessor world, WirePostBlockEntity postA, WirePostBlockEntity postB)`
`static boolean`
`addConnection(net.minecraft.world.level.LevelAccessor world, net.minecraft.core.BlockPos posA, net.minecraft.core.BlockPos posB)`
`static boolean`
`arePostsConnected(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos posA, net.minecraft.core.BlockPos posB)`
`void`
`clearRemoteConnections()`
`net.minecraft.core.BlockPos`
`denormalizePos(net.minecraft.core.BlockPos normalPos)`
Returns Absolute position in the level..
`static net.minecraft.world.phys.AABB`
`getAABBContainingAllBlockPos(net.minecraft.core.BlockPos startPos, Set<net.minecraft.core.BlockPos> theRest)`
`NestedBoundingBox`
`getNestedBoundingBoxForConnectedPos(net.minecraft.core.BlockPos otherPos)`
`Map<net.minecraft.core.BlockPos,NestedBoundingBox>`
`getRemoteConnectionBoxes()`
`Set<net.minecraft.core.BlockPos>`
`getRemoteConnections()`
`net.minecraft.world.phys.AABB`
`getRenderBoundingBox()`
`net.minecraft.network.protocol.game.ClientboundBlockEntityDataPacket`
`getUpdatePacket()`
`net.minecraft.nbt.CompoundTag`
`getUpdateTag(net.minecraft.core.HolderLookup.Provider registries)`
`boolean`
`hasRemoteConnection(net.minecraft.core.BlockPos otherPos)`
`void`
`loadAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)`
`net.minecraft.core.BlockPos`
`normalizePos(net.minecraft.core.BlockPos absolutePos)`
Returns Relative position normalized by this block's rotation/mirror transform..
`void`
`notifyConnections()`
`void`
`onCommonDataUpdated()`
`protected void`
`readCommonData(net.minecraft.nbt.CompoundTag compound)`
`static void`
`removeConnection(net.minecraft.world.level.LevelAccessor world, net.minecraft.core.BlockPos posA, net.minecraft.core.BlockPos posB)`
`void`
`saveAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)`
`void`
`setConnectionsRaw(Map<net.minecraft.core.BlockPos,NestedBoundingBox> connections)`

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, applyComponents, applyComponentsFromItemStack, applyImplicitComponents, clearRemoved, collectComponents, collectImplicitComponents, components, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, hasLevel, isRemoved, loadCustomOnly, loadStatic, loadWithComponents, onlyOpCanSetNbt, parseCustomNameSafe, removeComponentsFromTag, removeData, saveCustomAndMetadata, saveCustomOnly, saveToItem, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setChanged, setComponents, setData, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`deserializeAttachments, getData, getExistingData, hasAttachments, hasData, serializeAttachments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.neoforged.neoforge.attachment.IAttachmentHolder

`getData, getExistingData, hasData, removeData, setData`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockEntityExtension

`getModelData, handleUpdateTag, hasCustomOutlineRendering, invalidateCapabilities, onChunkUnloaded, onDataPacket, onLoad, requestModelDataUpdate`

## Field Details

### CONNECTIONS

public static final String CONNECTIONS

See Also:
  - Constant Field Values

### EMPTY_AABB

public static final net.minecraft.world.phys.AABB EMPTY_AABB

### BLOCKPOS_LISTER

public static final com.mojang.serialization.Codec<List<net.minecraft.core.BlockPos>> BLOCKPOS_LISTER

## Constructor Details

### WirePostBlockEntity

public WirePostBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends WirePostBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### WirePostBlockEntity

public WirePostBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### addConnection

public static boolean addConnection(net.minecraft.world.level.LevelAccessor world, net.minecraft.core.BlockPos posA, net.minecraft.core.BlockPos posB)

### addConnection

public static boolean addConnection(net.minecraft.world.level.LevelAccessor world, @Nonnull WirePostBlockEntity postA, @Nonnull WirePostBlockEntity postB)

### setConnectionsRaw

public void setConnectionsRaw(Map<net.minecraft.core.BlockPos,NestedBoundingBox> connections)

### getRemoteConnections

public Set<net.minecraft.core.BlockPos> getRemoteConnections()

### getRemoteConnectionBoxes

public Map<net.minecraft.core.BlockPos,NestedBoundingBox> getRemoteConnectionBoxes()

### hasRemoteConnection

public boolean hasRemoteConnection(net.minecraft.core.BlockPos otherPos)

### arePostsConnected

public static boolean arePostsConnected(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos posA, net.minecraft.core.BlockPos posB)

### clearRemoteConnections

public void clearRemoteConnections()

### removeConnection

public static void removeConnection(net.minecraft.world.level.LevelAccessor world, net.minecraft.core.BlockPos posA, net.minecraft.core.BlockPos posB)

### notifyConnections

public void notifyConnections()

### getRenderBoundingBox

public net.minecraft.world.phys.AABB getRenderBoundingBox()

### getAABBContainingAllBlockPos

public static net.minecraft.world.phys.AABB getAABBContainingAllBlockPos(net.minecraft.core.BlockPos startPos, Set<net.minecraft.core.BlockPos> theRest)

### onCommonDataUpdated

public void onCommonDataUpdated()

### loadAdditional

public void loadAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)

Overrides:
  `loadAdditional` in class `net.minecraft.world.level.block.entity.BlockEntity`

### readCommonData

protected void readCommonData(net.minecraft.nbt.CompoundTag compound)

### saveAdditional

public void saveAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)

Overrides:
  `saveAdditional` in class `net.minecraft.world.level.block.entity.BlockEntity`

### normalizePos

public net.minecraft.core.BlockPos normalizePos(net.minecraft.core.BlockPos absolutePos)
Returns Relative position normalized by this block's rotation/mirror transform..

Parameters:
  `absolutePos` - BlockPos representing an absolute position in the level.
Returns:
  Relative position normalized by this block's rotation/mirror transform.

### denormalizePos

public net.minecraft.core.BlockPos denormalizePos(net.minecraft.core.BlockPos normalPos)
Returns Absolute position in the level..

Parameters:
  `normalPos` - BlockPos relative to this block's position and transform.
Returns:
  Absolute position in the level.

### getUpdateTag

public net.minecraft.nbt.CompoundTag getUpdateTag(net.minecraft.core.HolderLookup.Provider registries)

Overrides:
  `getUpdateTag` in class `net.minecraft.world.level.block.entity.BlockEntity`

### getUpdatePacket

public net.minecraft.network.protocol.game.ClientboundBlockEntityDataPacket getUpdatePacket()

Overrides:
  `getUpdatePacket` in class `net.minecraft.world.level.block.entity.BlockEntity`

### getNestedBoundingBoxForConnectedPos

public NestedBoundingBox getNestedBoundingBoxForConnectedPos(net.minecraft.core.BlockPos otherPos)